# Class LocatorImpl

java.lang.Object
nu.validator.htmlparser.impl.LocatorImpl

All Implemented Interfaces:
  `Locator2, Locator`

Direct Known Subclasses:
  `TaintableLocatorImpl`

public class LocatorImpl extends Object implements Locator, Locator2

## Constructor Summary

Constructors
Constructor
Description
`LocatorImpl()`
Create a new Locator with default values
`LocatorImpl(Locator locator)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getColumnNumber()`
`final String`
`getEncoding()`
`final int`
`getLineNumber()`
`final String`
`getPublicId()`
`final String`
`getSystemId()`
`final String`
`getXMLVersion()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocatorImpl

public LocatorImpl()
Create a new Locator with default values

### LocatorImpl

public LocatorImpl(Locator locator)

## Method Details

### getColumnNumber

public final int getColumnNumber()

Specified by:
  `getColumnNumber` in interface `Locator`

### getLineNumber

public final int getLineNumber()

Specified by:
  `getLineNumber` in interface `Locator`

### getPublicId

public final String getPublicId()

Specified by:
  `getPublicId` in interface `Locator`

### getSystemId

public final String getSystemId()

Specified by:
  `getSystemId` in interface `Locator`

### getXMLVersion

public final String getXMLVersion()

Specified by:
  `getXMLVersion` in interface `Locator2`

### getEncoding

public final String getEncoding()

Specified by:
  `getEncoding` in interface `Locator2`